<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: dlib::batch_trainer&lt; trainer_type &gt;::caching_kernel&lt; K, sample_vector_type &gt; Class Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><a class="el" href="classdlib_1_1batch__trainer.html">batch_trainer</a></li><li class="navelem"><a class="el" href="classdlib_1_1batch__trainer_1_1caching__kernel.html">caching_kernel</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="classdlib_1_1batch__trainer_1_1caching__kernel-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">dlib::batch_trainer&lt; trainer_type &gt;::caching_kernel&lt; K, sample_vector_type &gt; Class Template Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structdlib_1_1batch__trainer_1_1caching__kernel_1_1cache__type.html">cache_type</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:a76c182f72b713def01bc0fc8cb801338"><td class="memItemLeft" align="right" valign="top"><a id="a76c182f72b713def01bc0fc8cb801338"></a>
typedef K::scalar_type&#160;</td><td class="memItemRight" valign="bottom"><b>scalar_type</b></td></tr>
<tr class="separator:a76c182f72b713def01bc0fc8cb801338"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a20037c803fcc68d802528c1ff0e49d5a"><td class="memItemLeft" align="right" valign="top"><a id="a20037c803fcc68d802528c1ff0e49d5a"></a>
typedef long&#160;</td><td class="memItemRight" valign="bottom"><b>sample_type</b></td></tr>
<tr class="separator:a20037c803fcc68d802528c1ff0e49d5a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0e4ed21d7faad0c2ad9cb5d313c7e0e5"><td class="memItemLeft" align="right" valign="top"><a id="a0e4ed21d7faad0c2ad9cb5d313c7e0e5"></a>
typedef K::mem_manager_type&#160;</td><td class="memItemRight" valign="bottom"><b>mem_manager_type</b></td></tr>
<tr class="separator:a0e4ed21d7faad0c2ad9cb5d313c7e0e5"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ae23b976c41d8bd8b8e917de395b51a2a"><td class="memItemLeft" align="right" valign="top"><a id="ae23b976c41d8bd8b8e917de395b51a2a"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>caching_kernel</b> (const K &amp;kern, const sample_vector_type &amp;samps, long cache_size_)</td></tr>
<tr class="separator:ae23b976c41d8bd8b8e917de395b51a2a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a098ffd757941cfd35abd045812950f36"><td class="memItemLeft" align="right" valign="top"><a id="a098ffd757941cfd35abd045812950f36"></a>
scalar_type&#160;</td><td class="memItemRight" valign="bottom"><b>operator()</b> (const sample_type &amp;a, const sample_type &amp;b) const</td></tr>
<tr class="separator:a098ffd757941cfd35abd045812950f36"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae3eed3f4085058bac1c5e46793d8848d"><td class="memItemLeft" align="right" valign="top"><a id="ae3eed3f4085058bac1c5e46793d8848d"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>operator==</b> (const <a class="el" href="classdlib_1_1batch__trainer_1_1caching__kernel.html">caching_kernel</a> &amp;item) const</td></tr>
<tr class="separator:ae3eed3f4085058bac1c5e46793d8848d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:ad75ec00bc2ded4d72a863f8c7cc2ccda"><td class="memItemLeft" align="right" valign="top"><a id="ad75ec00bc2ded4d72a863f8c7cc2ccda"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>build_cache</b> () const</td></tr>
<tr class="separator:ad75ec00bc2ded4d72a863f8c7cc2ccda"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a815b4d29e0ae78a60ad89042e2bffbae"><td class="memItemLeft" align="right" valign="top"><a id="a815b4d29e0ae78a60ad89042e2bffbae"></a>
K&#160;</td><td class="memItemRight" valign="bottom"><b>real_kernel</b></td></tr>
<tr class="separator:a815b4d29e0ae78a60ad89042e2bffbae"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa128b7474b9fc56571c8bae2d27a96d2"><td class="memItemLeft" align="right" valign="top"><a id="aa128b7474b9fc56571c8bae2d27a96d2"></a>
const sample_vector_type *&#160;</td><td class="memItemRight" valign="bottom"><b>samples</b></td></tr>
<tr class="separator:aa128b7474b9fc56571c8bae2d27a96d2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a66e347980030e4f50e63541499c3c4bf"><td class="memItemLeft" align="right" valign="top"><a id="a66e347980030e4f50e63541499c3c4bf"></a>
<a class="el" href="classdlib_1_1shared__ptr.html">shared_ptr</a>&lt; <a class="el" href="structdlib_1_1batch__trainer_1_1caching__kernel_1_1cache__type.html">cache_type</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>cache</b></td></tr>
<tr class="separator:a66e347980030e4f50e63541499c3c4bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a29ec13ac6496ef433448cea1ed44ad20"><td class="memItemLeft" align="right" valign="top"><a id="a29ec13ac6496ef433448cea1ed44ad20"></a>
unsigned long&#160;</td><td class="memItemRight" valign="bottom"><b>counter</b></td></tr>
<tr class="separator:a29ec13ac6496ef433448cea1ed44ad20"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acc16b82f11246659fa12bd843861481c"><td class="memItemLeft" align="right" valign="top"><a id="acc16b82f11246659fa12bd843861481c"></a>
unsigned long&#160;</td><td class="memItemRight" valign="bottom"><b>counter_threshold</b></td></tr>
<tr class="separator:acc16b82f11246659fa12bd843861481c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acf1ce10563b7ba4b79e16383af56c1ab"><td class="memItemLeft" align="right" valign="top"><a id="acf1ce10563b7ba4b79e16383af56c1ab"></a>
long&#160;</td><td class="memItemRight" valign="bottom"><b>cache_size</b></td></tr>
<tr class="separator:acf1ce10563b7ba4b79e16383af56c1ab"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="pegasos_8h_source.html">pegasos.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
